ServiceInformation (Java Platform SE 8 )
Keywords: org.omg.CORBA.ServiceInformation class
Date: 2016-04-24

org.omg.CORBA

## Class ServiceInformation

- java.lang.Object
- - org.omg.CORBA.ServiceInformation

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class ServiceInformation
      extends Object
      implements IDLEntity

  An IDL struct in the CORBA module that stores information about a CORBA service available in the ORB implementation and is obtained from the `ORB.get_service_information` method.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ServiceDetail[]` | `service_details` Array of ServiceDetails giving more details about the service.
    `int[]` | `service_options` Array of ints representing service options.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceInformation()` Constructs a ServiceInformation object with empty service_options and service_details.
    `ServiceInformation(int[] __service_options, ServiceDetail[] __service_details)` Constructs a ServiceInformation object with the given service_options and service_details.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### service_options

          public int[] service_options

      Array of ints representing service options.

    - #### service_details

          public ServiceDetail[] service_details

      Array of ServiceDetails giving more details about the service.

  - ### Constructor Detail

    - #### ServiceInformation

          public ServiceInformation()

      Constructs a ServiceInformation object with empty service_options and service_details.

    - #### ServiceInformation

          public ServiceInformation(int[] __service_options,
                                    ServiceDetail[] __service_details)

      Constructs a ServiceInformation object with the given service_options and service_details.
      Parameters:
        `__service_options` - An array of ints describing the service options.
        `__service_details` - An array of ServiceDetails describing the service details.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.